import index from "./modules/index";
import cityPartner from "./modules/cityPartner";
import devPlatform from "./modules/devPlatform";
import appraisal from "./modules/appraisal";
import station from "./modules/station";
import ass from "./modules/ass";
import record from "./modules/record";
import setting from "./modules/setting";
import course from "./modules/course";
import info from "./modules/info";
import match from "./modules/match";
import log from "./modules/log";

const frameIn = [
    {
        path: "/",
        redirect: "/index"
    },
    index,
    cityPartner,
    devPlatform,
    appraisal,
    station,
    ass,
    record,
    setting,
    course,
    info,
    match,
    log
];

/**
 * 在主框架之外显示
 */

const frameOut = [
    // 登录
    {
        path: "/login",
        name: "login",
        meta: {
            title: "登录"
        },
        component: () => import("@/pages/account/login")
    }
];

/**
 * 错误页面
 */

const errorPage = [
    {
        path: "/403",
        name: "403",
        meta: {
            title: "403"
        },
        component: () => import("@/pages/exception/error/403")
    },
    {
        path: "*",
        name: "404",
        meta: {
            title: "404"
        },
        component: () => import("@/pages/exception/error/404")
    }
];

// 导出需要显示菜单的
export const frameInRoutes = frameIn;

// 重新组织后导出
export default [
    ...frameIn,
    ...frameOut,
    ...errorPage
];