/**
 * 业务配置
 * */
const url = location.host;
const isDev = process.env.NODE_ENV === "development"; // 开发环境
const isHh = url.includes("10.196.131.73"); //是否河海版本
const isCH = url.includes("124.71.12.62"); //是否巢湖版本
const isBeta = url.includes("120.78.198.231"); //是否职站测试
const isPro = url.includes("occupationlab.com"); //是否职站生产
const isTest = url.includes('39.108.250.202'); //是否中台测试服

let systemPath = ''
let host = "";
let title = "";

if (isHh) {
    // 河海
    host = "http://10.196.131.73/";
    title = "学生端";
} else if (isCH) {
    // 巢湖
    host = "http://124.71.12.62/";
    title = "学生端";
} else if (isBeta) {
    // 职站测试
    host = "http://120.78.198.231/";
    title = "职站";
} else if (isPro) {
    // 职站生产
    host = "http://www.occupationlab.com:9000/";
    systemPath = `http://www.huorantech.cn/banksystem`
    title = "职站";
} else if (isTest){
    // 中台测试
    host = "http://39.108.250.202:9000/";
    systemPath = `${systemPath}/banksystem`
    title = "职站";
} else if (isDev) {
    // 本地
    // host = "http://www.occupationlab.com:9000/";//线上
    host = "http://39.108.250.202:9000/"; // 中台测试服
    systemPath = `http://192.168.31.155:8093`
    systemPath = `http://192.168.31.125:8093`
    // host = "http://192.168.31.137:9000"; // 赓
    // host = "http://192.168.31.151:9000/"; // 榕
    title = "职站";
} else {
    console.log("其它版本");
}

const Setting = {
    /**
     * 基础配置
     * */
    platformId: 1, // 平台标识，1职站，2数据平台，3中台
    titleSuffix: title, // 网页标题的后缀
    routerMode: "hash", // 路由模式，可选值为 history 或 hash
    showProgressBar: true, // 页面切换时，是否显示模拟的进度条
    apiBaseURL: host, // 接口请求地址
    systemPath, // 子系统地址前缀
    autoLogoutTime: 3600000, // 长时间未操作，自动退出登录时间
    modalDuration: 3, // 接口请求返回错误时，弹窗的持续时间，单位：秒
    errorModalType: "Message", // 接口请求返回错误时，弹窗的类型，可选值为 Message 或 Notice
    cookiesExpires: 1, // Cookies 默认保存时间，单位：天
    tokenExpires: 1296000000, // token在localStorage的时间(毫秒)
    tokenKey: "oc_client_token", // localStorage里保存的token的key
    storeKey: "oc_client_store", // localStorage里保存的vuex的key
    initialPassword: "111aaa", // 默认密码
    isDev,
    isTest,
    isPro,
    /**
     * 路由白名单
     * */
    whiteList: ['/login', '/index/list', '/cityPartner/list', '/devPlatform/list', '/log/list'],
    /**
     * 平台列表
     * */
    platformList: [
        {
            id: 1,
            name: '职站'
        },
        {
            id: 2,
            name: '数据平台'
        },
        {
            id: 3,
            name: '中台'
        }
    ],
    /**
     * 多语言配置
     * */
    i18n: {
        default: "zh", // 默认语言
        auto: false // 是否根据用户电脑配置自动设置语言（仅第一次有效）
    },
    layout: {}, // 布局配置
    /**
     * 功能配置
     * */
    sameRouteForceUpdate: false, // 相同路由，不同参数间进行切换，是否强力更新
    dynamicRoute: false // 是否使用动态路由
};

export default Setting;
